Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## net.sourceforge.arbaro.params
Class Params

    java.lang.Object
      net.sourceforge.arbaro.params.Params

    public class Params

extends java.lang.Object

Holds the tree parameters and related methods. (The params for the levels are in LevelParams, not here!)

Field Summary
`int` | `_0BaseSplits`
`double` | `_0Scale`
`double` | `_0ScaleV`
`double` | `AttractionUp`
`double` | `BaseSize`
`protected javax.swing.event.ChangeEvent` | `changeEvent`
`static int` | `CONICAL`
`static int` | `CYLINDRICAL`
`static int` | `ENVELOPE`
`static int` | `FLAME`
`double` | `Flare`
`static int` | `HEMISPHERICAL`
`boolean` | `ignoreVParams`
`static int` | `INVERSE_CONICAL`
`double` | `LeafBend`
`int` | `LeafDistrib`
`double` | `LeafQuality`
`double` | `LeafScale`
`double` | `LeafScaleX`
`java.lang.String` | `LeafShape`
`double` | `LeafStemLen`
`int` | `Leaves`
`double` | `leavesErrorValue`
`protected LevelParams[]` | `levelParams`
`int` | `Levels`
`protected javax.swing.event.EventListenerList` | `listenerList`
`double` | `LobeDepth`
`int` | `Lobes`
`double` | `mesh_quality`
`boolean` | `preview`
`double` | `PrunePowerHigh`
`double` | `PrunePowerLow`
`double` | `PruneRatio`
`double` | `PruneWidth`
`double` | `PruneWidthPeak`
`Random` | `random`
`double` | `Ratio`
`double` | `RatioPower`
`double` | `Scale`
`double` | `scale_tree`
`double` | `ScaleV`
`int` | `Shape`
`double` | `Smooth`
`int` | `smooth_mesh_level`
`java.lang.String` | `Species`
`static int` | `SPHERICAL`
`int` | `stopLevel`
`static int` | `TAPERED_CYLINDRICAL`
`static int` | `TEND_FLAME`

Constructor Summary
`Params()`
`Params(Params other)`

Method Summary
`void` | `addChangeListener(javax.swing.event.ChangeListener l)`
`void` | `clearParams()`
`void` | `enableDisable()` Enables or disables params depending on other params values.
`protected void` | `fireStateChanged()`
`LevelParams` | `getLevelParams(int stemlevel)`
`AbstractParam` | `getParam(java.lang.String parname)`
`java.util.TreeMap` | `getParamGroup(int level, java.lang.String group)`
`double` | `getShapeRatio(double ratio)`
`double` | `getShapeRatio(double ratio, int shape)`
`java.lang.String` | `getSpecies()`
`void` | `prepare(int seed)`
`void` | `readFromCfg(java.io.InputStream is)`
`void` | `readFromXML(java.io.InputStream is)`
`void` | `removeChangeListener(javax.swing.event.ChangeListener l)`
`void` | `setParam(java.lang.String name, java.lang.String value)`
`void` | `setSpecies(java.lang.String sp)`
`void` | `toXML(java.io.PrintWriter w)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### CONICAL

    public static final int CONICAL

See Also:
  Constant Field Values

### SPHERICAL

    public static final int SPHERICAL

See Also:
  Constant Field Values

### HEMISPHERICAL

    public static final int HEMISPHERICAL

See Also:
  Constant Field Values

### CYLINDRICAL

    public static final int CYLINDRICAL

See Also:
  Constant Field Values

### TAPERED_CYLINDRICAL

    public static final int TAPERED_CYLINDRICAL

See Also:
  Constant Field Values

### FLAME

    public static final int FLAME

See Also:
  Constant Field Values

### INVERSE_CONICAL

    public static final int INVERSE_CONICAL

See Also:
  Constant Field Values

### TEND_FLAME

    public static final int TEND_FLAME

See Also:
  Constant Field Values

### ENVELOPE

    public static final int ENVELOPE

See Also:
  Constant Field Values

### leavesErrorValue

    public double leavesErrorValue

### levelParams

    protected LevelParams[] levelParams

### random

    public Random random

### preview

    public boolean preview

### ignoreVParams

    public boolean ignoreVParams

### stopLevel

    public int stopLevel

### Species

    public java.lang.String Species

### LeafQuality

    public double LeafQuality

### Smooth

    public double Smooth

### mesh_quality

    public double mesh_quality

### smooth_mesh_level

    public int smooth_mesh_level

### Levels

    public int Levels

### Ratio

    public double Ratio

### RatioPower

    public double RatioPower

### Shape

    public int Shape

### BaseSize

    public double BaseSize

### Flare

    public double Flare

### Lobes

    public int Lobes

### LobeDepth

    public double LobeDepth

### Leaves

    public int Leaves

### LeafShape

    public java.lang.String LeafShape

### LeafScale

    public double LeafScale

### LeafScaleX

    public double LeafScaleX

### LeafStemLen

    public double LeafStemLen

### LeafBend

    public double LeafBend

### LeafDistrib

    public int LeafDistrib

### Scale

    public double Scale

### ScaleV

    public double ScaleV

### _0Scale

    public double _0Scale

### _0ScaleV

    public double _0ScaleV

### AttractionUp

    public double AttractionUp

### PruneRatio

    public double PruneRatio

### PrunePowerLow

    public double PrunePowerLow

### PrunePowerHigh

    public double PrunePowerHigh

### PruneWidth

    public double PruneWidth

### PruneWidthPeak

    public double PruneWidthPeak

### _0BaseSplits

    public int _0BaseSplits

### scale_tree

    public double scale_tree

### changeEvent

    protected javax.swing.event.ChangeEvent changeEvent

### listenerList

    protected javax.swing.event.EventListenerList listenerList

Constructor Detail

### Params

    public Params()

### Params

    public Params(Params other)

Method Detail

### getLevelParams

    public LevelParams getLevelParams(int stemlevel)

### setSpecies

    public void setSpecies(java.lang.String sp)

### getSpecies

    public java.lang.String getSpecies()

### toXML

    public void toXML(java.io.PrintWriter w)

### clearParams

    public void clearParams()

### prepare

    public void prepare(int seed)
                 throws ParamException

  Throws:
    `ParamException`

### getShapeRatio

    public double getShapeRatio(double ratio)

### getShapeRatio

    public double getShapeRatio(double ratio,
                                int shape)

### setParam

    public void setParam(java.lang.String name,
                         java.lang.String value)
                  throws ParamException

  Throws:
    `ParamException`

### getParamGroup

    public java.util.TreeMap getParamGroup(int level,
                                           java.lang.String group)

### readFromCfg

    public void readFromCfg(java.io.InputStream is)

### readFromXML

    public void readFromXML(java.io.InputStream is)

### getParam

    public AbstractParam getParam(java.lang.String parname)

### addChangeListener

    public void addChangeListener(javax.swing.event.ChangeListener l)

### removeChangeListener

    public void removeChangeListener(javax.swing.event.ChangeListener l)

### fireStateChanged

    protected void fireStateChanged()

### enableDisable

    public void enableDisable()

  Enables or disables params depending on other params values.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD